Subject: [ipfix-req] list of issues - Reinaldo - 7 (or Carter -1)

From: "Reinaldo Penno" <[email-masked]>
Date: Wed, 23 Oct 2002 13:28:25 -0700

I think Carter's proposal (about opaque blobs) should be included on the
requirements draft.

I'm reposting it here since although we discussed on the eval list, IMO we
should put the text formally on the requiments draft. 

regards,

Reinaldo

> -----Original Message-----
> From: Carter Bullard [mailto:[email-masked]]
> Sent: Tuesday, October 22, 2002 8:17 AM
> To: 'Juergen Quittek'; [email-masked]
> Subject: RE: [ipfix-eval] Juergen's conclusions
> 
> 
> Hey Juergen,
> > 
> > Juergen's Conclusion
> >
> [snip]
> > 
> > Considering all this I would recommend to go for NetFlow v9. 
> > If this is not accepted because NetFlow is considered as too 
> > simple or lacking functionality, I would recommend using IDPR.
> >
> 
> While I like the IPDR data representation strategy and formats,
> I see IPDR as a data model, providing a format for communicating
> flow activity reports that a probe can generate.  But I don't
> see how IPDR is a transport protocol.
> 
> My opinion is that IPFIX MUST be able to transport IPDR data,
> it MUST also be able to transport native NetFlow v[1-9] data
> as well.  That to me indicates that the appropriate data model
> is either a superset of all the candidates, so that IPFIX can
> handle all the data types, or the transport protocol supports
> an opaque data object, so that vendors can transport their
> native records as blobs.  NetFlow doesn't support either
> strategy.  IPDR may be able to be the superset, but its doesn't
> support an opaque blob.
> 
> While vendors will assure us that their methods can be extended,
> I won't feel comfortable making a choice until the vendors 
> demonstrate how their methods can handle the requirements.
> 
> 
> Carter
> 
> Carter Bullard
> QoSient, LLC
> 300 E. 56th Street, Suite 18K
> New York, New York  10022
> 
> [email-masked]
> Phone +1 212 588-9133
> Fax   +1 212 588-9134
> http://qosient.com

---

From: [email-masked]
Date: Thu, 24 Oct 2002 10:17:57 -0400

> Reinaldo Penno wrote:
> 
> I think Carter's proposal (about opaque blobs) should be included on
> the requirements draft.
> 

	Carter seems to be proposing using opaque blobs to send native netflow
	records or native IPDR records or native vendor xyz records.

	Someone needs to explain to me why we want to do that.

	How do you build any useful applications when opaque blobs are sent?
	Yes you can send them, yes you can pull the string from the message
	but then what? Most likely you end up with proprietary information
	being sent and proprietary applications making use of it. The fact
	that some standard was used to deliver it doesn't help in any way.
	Might was well use raw tcp and a well-known port number.

	What am I missing?

	Paul

> I'm reposting it here since although we discussed on the eval list,
> IMO we should put the text formally on the requiments draft.
> 
> regards,
> 
> Reinaldo
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: "Tal Givoly" <[email-masked]>
Date: Thu, 24 Oct 2002 11:55:14 -0700

list of issues - Reinaldo - 7 (or Carter -1)Reinaldo,

I agree.

Even though opaque BLOBs provide little value as a standard attribute,
extensions that include the ability to provide BLOBs are necessary, I
believe. For instance, if a future or vendor extension provides MPLS paths
or AS paths, this would allow doing so. Another extension would be to
provide more raw statistics for diagnosis - these may be proprietary
extensions. BLOBs also provide the ability to send packed arrays of
attributes that are well-defined. So it may be clearly understood from the
standard, or extensions thereof, what this BLOB means and how it is to be
processed - but the essense of being able to transport a BLOB should be a
MUST requirement.

Regards,

Tal
-----Original Message-----
From: majordomo listserver [mailto:[email-masked]]On Behalf Of
Reinaldo Penno
Sent: Wednesday, October 23, 2002 1:28 PM
To: Juergen Quittek; [email-masked]
Subject: [ipfix-req] list of issues - Reinaldo - 7 (or Carter -1)

  regards,

  Reinaldo